package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.UserRoleRes;
import com.sa.ibiz.demo.demo.service.UserRoleResService;
import com.sa.ibiz.demo.demo.service.dto.UserRoleResSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/userroleres")
public class UserRoleResResource
{
	@Autowired
	private UserRoleResService service;


	@PostMapping(value = "/remove")
	public ResponseEntity<UserRoleRes> remove(@Validated @RequestBody UserRoleRes data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色资源能力[remove]操作发生错误","UserRoleRes",data.getUserroleresid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<UserRoleRes> getDraft(@Validated @RequestBody UserRoleRes data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色资源能力[getDraft]操作发生错误","UserRoleRes","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<UserRoleRes> create(@Validated @RequestBody UserRoleRes data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色资源能力[create]操作发生错误","UserRoleRes",data.getUserroleresid().toString());
		return ResponseEntity.ok().body(data);
	}
	@GetMapping(value = "/{id}")
	public ResponseEntity<UserRoleRes> get(@Validated @PathVariable String id){
		UserRoleRes data=new UserRoleRes();
		data.setUserroleresid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("用户角色资源能力[get]操作发生错误","UserRoleRes",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<UserRoleRes> update(@Validated @RequestBody UserRoleRes data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色资源能力[update]操作发生错误","UserRoleRes",data.getUserroleresid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<UserRoleRes> checkKey(@Validated @RequestBody UserRoleRes data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色资源能力[checkKey]操作发生错误","UserRoleRes",data.getUserroleresid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<UserRoleRes>> searchDefaultPage(@Validated @RequestBody UserRoleResSearchFilter filter){
		Page<UserRoleRes> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<UserRoleRes>> listDefault(@Validated @RequestBody UserRoleResSearchFilter filter){
		List<UserRoleRes> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
